Subject: One more Xinerama patch for FvwmWharf

From: "Dmitry Yu. Bolkhovityanov" <[email-masked]>
Date: Sat, 18 Aug 2001 20:28:54 +0700

Hi!

	This patch deals with "withdrawing" Wharf to corners and with
in which direction panels should open.

	BTW, there's a strange error in drawing the panel's host button.
When a vertical Wharf is at the right border (and a panel slides to the
left), after a panel completely appears, the host button is "in two
halves": the right half is "pressed", while the left one is "depressed".

	Presence of this effect depends on X server, but I can 100%
reproduce it in Xnest ran on Matrox G450 under XFree86 4.0.3 (RH7.1,
AnotherLevel).  Interestingly, on the host server itself the effect seems
to be 100% unreproducible.  I can post a screenshot of this effect if
required.

	BTW2: wouldn't it be wise to add an item 15.5.5.5 to todo-3.0,
stating "Remove FvwmWharf (It's an FvwmButtons with trivial enhancements)"?

	_________________________________________
	  Dmitry Yu. Bolkhovityanov
	  [email-masked]
	  The Budker Institute of Nuclear Physics

---

From: Dominik Vogt <[email-masked]>
Date: Thu, 23 Aug 2001 12:23:09 +0200

> in which direction panels should open.

Appliet.  BTW, could you please include ChangeLog entries with
your patches?
 
> halves": the right half is "pressed", while the left one is "depressed".

Can you post a config to demonstrate this?

> to be 100% unreproducible.  I can post a screenshot of this effect if

You're using XNest?  Usually I don't debug problems with XNest
which seems to have a lot of bugs.  Did you ever see this with a
real X server?

> stating "Remove FvwmWharf (It's an FvwmButtons with trivial enhancements)"?

I'va added it to the list.

Bye

Dominik ^_^  ^_^

-- 
Dominik Vogt, email: [email-masked]
LifeBits Aktiengesellschaft, Albrechtstr. 9, D-72072 Tuebingen
fon: ++49 (0) 7071/7965-0, fax: ++49 (0) 7071/7965-20
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: "Dmitry Yu. Bolkhovityanov" <[email-masked]>
Date: Thu, 23 Aug 2001 21:46:22 +0700

> Appliet.  BTW, could you please include ChangeLog entries with

	Ok.  For this one it is "Make FvwmWharf use current Xinerama
screen for choosing in which direction to slide panels and for withdrawn
position calculation" (khm, a bit too long, shame on me...).

> Can you post a config to demonstrate this?

	Well, that's just AnotherLevel.  I append all "*FvwmWharf" lines
in m4-preprocessed form at the end of this mail (long lines are marked
with "\"s).

> which seems to have a lot of bugs.  Did you ever see this with a

	Yes.  It is the same problem which was 100% reproducible with
2.3.28 under XFree86 3.3.2 with Matrox Millenium II (that was my previous
machine).  And it is still reproducible under XFree86 4.0.3 on our 
4-monitor PC (Matrox G450DualHead + 2 x Millenium II), the same problem on
any head.  That machine has RedHat 6.2 (kernel 2.2.16) with glibc-2.1.3.
Ummmm...  Actually, I ran fvwm over a 100Mbit Ethernet from another
machine, and my oldie was P166MMX; so, maybe there's some timing problem?

---- CUT HERE ----
Style "FvwmWharf" StaysOnTop,Sticky, WindowListSkip,CirculateSkip, \
ClickToFocus, NoTitle,NoHandles,BorderWidth 0
*FvwmWharfAnimate
*FvwmWharfAnimateMain
*FvwmWharfGeometry      -0+0
*FvwmWharfColumns       1 
*FvwmWharfTextureType   255
*FvwmWharfBgColor       gray51
*FvwmWharf AfterStep AfterStep.xpm Folder
*FvwmWharf Shutdown  ShutDown.xpm  Quit
*FvwmWharf xlock KeysOnChain.xpm FvwmForm XLock
*FvwmWharf ~Folder
*FvwmWharf xclock nil Swallow "xclock" xclock -bg "#8e8a9e" -fg \
"#00003f" -geometry 45x45-1-1 -padding 0 &
*FvwmWharf xbiff  nil Swallow "xbiff" xbiff -bg "#8e8a9e" -fg \
"#00003f" -geometry 45x45-1-1 &
*FvwmWharf xload  nil Swallow "xload" xload -nolabel -hl black -bg \
"#8e8a9e" -geometry 48x48-1-1 &
*FvwmWharf xload  nil Exec xterm -ut -T top -e top &
*FvwmWharf Pager nil Swallow "FvwmPager" Module FvwmPager 0 0
*FvwmWharf xterm monitor-check.xpm  Exec xterm -bg black -geometry \
80x25 -sl 500 -sb -ls -T 'xterm: [email-masked]' &
*FvwmWharf emacs text.xpm Exec emacs &

*FvwmWharf gimp 3dpaint.xpm Exec gimp &

*FvwmWharf pine writeletter.xpm Exec xterm -T "pine" -e pine &
*FvwmWharf Netscape netscape3.xpm Exec netscape &
*FvwmWharf Recycler  recycler.xpm  Restart fvwm2